<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="data">
  <database-model serializer="dbm" dbms="SQLITE" family-id="SQLITE" format-version="4.17">
    <root id="1">
      <ServerVersion>3.25.1</ServerVersion>
    </root>
    <schema id="2" parent="1" name="main">
      <Current>1</Current>
    </schema>
    <collation id="3" parent="1" name="BINARY"/>
    <collation id="4" parent="1" name="NOCASE"/>
    <collation id="5" parent="1" name="RTRIM"/>
    <table id="6" parent="2" name="groupe"/>
    <table id="7" parent="2" name="promo"/>
    <table id="8" parent="2" name="sqlite_master">
      <System>1</System>
    </table>
    <table id="9" parent="2" name="sqlite_sequence">
      <System>1</System>
    </table>
    <table id="10" parent="2" name="stagiaire"/>
    <table id="11" parent="2" name="stagiaire_groupe"/>
    <column id="12" parent="6" name="id">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="13" parent="6" name="chef_id">
      <Position>2</Position>
      <DataType>INTEGER|0s</DataType>
      <DefaultExpression>NULL</DefaultExpression>
    </column>
    <column id="14" parent="6" name="nom">
      <Position>3</Position>
      <DataType>VARCHAR(25)|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="15" parent="6" name="taille">
      <Position>4</Position>
      <DataType>SMALLINT|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="16" parent="6" name="type">
      <Position>5</Position>
      <DataType>VARCHAR(25)|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="17" parent="6" name="IDX_4B98C21150A48F1">
      <ColNames>chef_id</ColNames>
      <ColumnCollations></ColumnCollations>
    </index>
    <key id="18" parent="6">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="19" parent="6" name="FK_4B98C21150A48F1">
      <ColNames>chef_id</ColNames>
      <RefTableName>stagiaire</RefTableName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="20" parent="7" name="id">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="21" parent="7" name="nom">
      <Position>2</Position>
      <DataType>VARCHAR(25)|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="22" parent="7">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="23" parent="8" name="type">
      <Position>1</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="24" parent="8" name="name">
      <Position>2</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="25" parent="8" name="tbl_name">
      <Position>3</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="26" parent="8" name="rootpage">
      <Position>4</Position>
      <DataType>int|0s</DataType>
    </column>
    <column id="27" parent="8" name="sql">
      <Position>5</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="28" parent="9" name="name">
      <Position>1</Position>
    </column>
    <column id="29" parent="9" name="seq">
      <Position>2</Position>
    </column>
    <column id="30" parent="10" name="id">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="31" parent="10" name="promo_id">
      <Position>2</Position>
      <DataType>INTEGER|0s</DataType>
      <DefaultExpression>NULL</DefaultExpression>
    </column>
    <column id="32" parent="10" name="prenom">
      <Position>3</Position>
      <DataType>VARCHAR(25)|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="33" parent="10" name="IDX_4F62F731D0C07AFF">
      <ColNames>promo_id</ColNames>
      <ColumnCollations></ColumnCollations>
    </index>
    <key id="34" parent="10">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="35" parent="10" name="FK_4F62F731D0C07AFF">
      <ColNames>promo_id</ColNames>
      <RefTableName>promo</RefTableName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="36" parent="11" name="stagiaire_id">
      <Position>1</Position>
      <DataType>INTEGER|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="37" parent="11" name="groupe_id">
      <Position>2</Position>
      <DataType>INTEGER|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <index id="38" parent="11" name="sqlite_autoindex_stagiaire_groupe_1">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>stagiaire_id
groupe_id</ColNames>
      <ColumnCollations></ColumnCollations>
      <Unique>1</Unique>
    </index>
    <index id="39" parent="11" name="IDX_DB8C80A3BBA93DD6">
      <ColNames>stagiaire_id</ColNames>
      <ColumnCollations></ColumnCollations>
    </index>
    <index id="40" parent="11" name="IDX_DB8C80A37A45358C">
      <ColNames>groupe_id</ColNames>
      <ColumnCollations></ColumnCollations>
    </index>
    <key id="41" parent="11">
      <ColNames>stagiaire_id
groupe_id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>sqlite_autoindex_stagiaire_groupe_1</UnderlyingIndexName>
    </key>
    <foreign-key id="42" parent="11" name="FK_DB8C80A3BBA93DD6">
      <ColNames>stagiaire_id</ColNames>
      <RefTableName>stagiaire</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>cascade</OnDelete>
    </foreign-key>
    <foreign-key id="43" parent="11" name="FK_DB8C80A37A45358C">
      <ColNames>groupe_id</ColNames>
      <RefTableName>groupe</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>cascade</OnDelete>
    </foreign-key>
  </database-model>
</dataSource>